Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-2833

upgrade contrib/ant's tidy.jar

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.1, 4.0-ALPHA
    • Component/s: modules/other
    • Labels:
      None
    • Lucene Fields:
      New, Patch Available

      Description

      contrib/ant uses a Tidy.jar that also includes classes in org.w3c.dom, org.xml.sax, etc.

      This is no problem if you are an ant user, but if you are an IDE user you need to carefully configure the order of your classpath or things will not compile, as these will override the ones in the Solr libs, for example.

      The solution is to upgrade the tidy.jar to the newest one that only includes org.w3c.tidy and doesn't cause these problems.

        Attachments

        1. jtidy-r938.jar
          184 kB
          Robert Muir
        2. LUCENE-2833.patch
          4 kB
          Robert Muir

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              rcmuir Robert Muir
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: